import { Component, Prop, h, Event } from "@stencil/core";
export class SSaqhanBlogCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" },
            h("div", { class: "blog-img", style: { backgroundImage: `url( ${this.post.img})` }, onClick: () => this.clickOnNews.emit(this.post.id) }),
            h("div", { class: this.ColorCategory(this.post.category), onClick: () => this.clickOnCategoryNews.emit(this.post.category) }, this.post.category),
            h("div", { class: "blog-title pt-3 font-weight-bold", onClick: () => this.clickOnNews.emit(this.post.id) }, this.post.title),
            h("div", { class: "btn-read pt-3" },
                h("span", { onClick: () => this.clickOnNews.emit(this.post.id) },
                    " ",
                    this.post.btnText,
                    " "))));
    }
    static get is() { return "s-saqhan-blog-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-blog-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-blog-card.css"]
    }; }
    static get properties() { return {
        "post": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "NewBlogItem",
                "resolved": "NewBlogItem",
                "references": {
                    "NewBlogItem": {
                        "location": "import",
                        "path": "./interface/commin.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043F\u0443\u0431\u043B\u0438\u043A\u0430\u0446\u0438\u044F\u043C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E category"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
