import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanLentaNewsCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "lenta-news " },
            h("div", { class: "lenta-img pr-4 custom-link", onClick: () => this.clickOnNews.emit(this.lentaNews.id), style: { backgroundImage: `url(${this.lentaNews.img})` } }),
            h("div", { class: "lenta-info custom-link" },
                h("div", { onClick: () => this.clickOnCategoryNews.emit(this.lentaNews.category), class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category),
                h("div", { onClick: () => this.clickOnNews.emit(this.lentaNews.id), class: "lenta-title  custom-link" }, this.lentaNews.title),
                h("div", { class: "btn-read custom-link" },
                    h("span", { onClick: () => this.clickOnNews.emit(this.lentaNews.id) }, this.lentaNews.btnText)))));
    }
    static get is() { return "s-saqhan-lenta-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get properties() { return {
        "lentaNews": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanLentaNewsCardItem",
                "resolved": "SSaqhanLentaNewsCardItem",
                "references": {
                    "SSaqhanLentaNewsCardItem": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043D\u043E\u0432\u043E\u0441\u0442\u044F\u043C\u0438 \u0434\u043B\u044F \u043B\u0435\u043D\u0442\u044B"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043A\u0430\u0442\u0435\u0433\u043E\u0440\u0438\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
