import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanMainNewsCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category category-news pt-3 small custon-link";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "main-news" },
            h("div", null,
                h("div", { class: "img-news m-auto custon-link", onClick: () => this.clickOnNews.emit(this.mainNews.id), style: { backgroundImage: `url(${this.mainNews.img})` } }),
                h("div", { onClick: () => this.clickOnCategoryNews.emit(this.mainNews.category), class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category),
                h("div", { onClick: () => this.clickOnNews.emit(this.mainNews.id), class: "title-news pt-3 h2 font-weight-bold custon-link" }, this.mainNews.title),
                h("div", { onClick: () => this.clickOnNews.emit(this.mainNews.id), class: "sub-title-news pt-3 pb-3 text-muted custon-link" }, this.mainNews.subTitle),
                h("span", { onClick: () => this.clickOnNews.emit(this.mainNews.id), class: "btn btn-primary btn-custom custon-link" }, this.mainNews.btnText))));
    }
    static get is() { return "s-saqhan-main-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-main-news-card.css"]
    }; }
    static get properties() { return {
        "mainNews": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanMainNewsCardItem",
                "resolved": "SSaqhanMainNewsCardItem",
                "references": {
                    "SSaqhanMainNewsCardItem": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043D\u043E\u0432\u043E\u0441\u0442\u044F\u043C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043A\u0430\u0442\u0435\u0433\u043E\u0440\u0438\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
