import { Component, Event, h, Prop, } from "@stencil/core";
export class SSaqhanPopularCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "news-block" },
            h("div", { class: "news-img", style: { backgroundImage: `url(${this.post.img})` }, onClick: () => this.clickOnNews.emit(this.post.id) }),
            h("div", { class: "news-info" },
                h("div", { class: this.ColorCategory(this.post.category), onClick: () => this.clickOnNews.emit(this.post.category) }, this.post.category),
                h("div", { class: "lenta-title", onClick: () => this.clickOnNews.emit(this.post.id) }, this.post.title),
                h("div", { class: "btn-read" },
                    h("span", { onClick: () => this.clickOnNews.emit(this.post.id) }, this.post.btnText)))));
    }
    static get is() { return "s-saqhan-popular-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-popular-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-popular-card.css"]
    }; }
    static get properties() { return {
        "post": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanPopularCardItem",
                "resolved": "SSaqhanPopularCardItem",
                "references": {
                    "SSaqhanPopularCardItem": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043F\u043E\u043F\u0443\u043B\u044F\u0440\u043D\u044B\u043C\u0438 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
